<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V1.0//EN"
  "http://www.logreport.org/LRSML/1.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="ftp" id="top-files-in" charttype="bars">

 <lire:title>Top Uploaded Files FTP Report</lire:title>
 <lire:description>
  <para>This report lists the most uploaded files.</para>
 </lire:description>

 <lire:param-spec>
  <lire:param name="files_to_show" type="int" default="10">
   <lire:description>
    <para>This parameter controls the number of files to
     display in the report.
    </para>
   </lire:description>
  </lire:param>
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>Number of Uploads by File, Top $files_to_show</lire:title>
 </lire:display-spec>

 <lire:filter-spec>
  <lire:eq arg1="$direction" arg2="i"/>
 </lire:filter-spec>

 <lire:report-calc-spec>
  <lire:group sort="-request_total" limit="$files_to_show">
   <lire:field name="filename"/>
   <lire:count name="request_total"/>
  </lire:group>
 </lire:report-calc-spec>

</lire:report-spec>

<!--
Keep this comment at the end of the file
Local variables:
mode: xml
-->
